## GoaObject GoaObject — Specialized GDBusObject types |

## Functions

GoaManager * | goa_object_get_manager ()
GoaAccount * | goa_object_get_account ()
GoaOAuth2Based * | goa_object_get_oauth2_based ()
GoaMail * | goa_object_get_mail ()
GoaCalendar * | goa_object_get_calendar ()
GoaContacts * | goa_object_get_contacts ()
GoaChat * | goa_object_get_chat ()
GoaMusic * | goa_object_get_music ()
GoaPhotos * | goa_object_get_photos ()
GoaFiles * | goa_object_get_files ()
GoaExchange * | goa_object_get_exchange ()
GoaManager * | goa_object_peek_manager ()
GoaAccount * | goa_object_peek_account ()
GoaOAuth2Based * | goa_object_peek_oauth2_based ()
GoaMail * | goa_object_peek_mail ()
GoaCalendar * | goa_object_peek_calendar ()
GoaContacts * | goa_object_peek_contacts ()
GoaChat * | goa_object_peek_chat ()
GoaMusic * | goa_object_peek_music ()
GoaPhotos * | goa_object_peek_photos ()
GoaFiles * | goa_object_peek_files ()
GoaExchange * | goa_object_peek_exchange ()
GoaObjectProxy * | goa_object_proxy_new ()
GoaObjectSkeleton * | goa_object_skeleton_new ()
void | goa_object_skeleton_set_manager ()
void | goa_object_skeleton_set_account ()
void | goa_object_skeleton_set_oauth2_based ()
void | goa_object_skeleton_set_mail ()
void | goa_object_skeleton_set_calendar ()
void | goa_object_skeleton_set_contacts ()
void | goa_object_skeleton_set_chat ()
void | goa_object_skeleton_set_music ()
void | goa_object_skeleton_set_photos ()
void | goa_object_skeleton_set_files ()
void | goa_object_skeleton_set_exchange ()

## Properties

GoaAccount * | account | Read / Write
GoaCalendar * | calendar | Read / Write
GoaChat * | chat | Read / Write
GoaContacts * | contacts | Read / Write
GoaDocuments * | documents | Read / Write
GoaExchange * | exchange | Read / Write
GoaFiles * | files | Read / Write
GoaMail * | mail | Read / Write
GoaManager * | manager | Read / Write
GoaMaps * | maps | Read / Write
GoaMediaServer * | media-server | Read / Write
GoaMusic * | music | Read / Write
GoaOAuthBased * | oauth-based | Read / Write
GoaOAuth2Based * | oauth2-based | Read / Write
GoaPasswordBased * | password-based | Read / Write
GoaPhotos * | photos | Read / Write
GoaPrinters * | printers | Read / Write
GoaReadLater * | read-later | Read / Write
GoaTicketing * | ticketing | Read / Write
GoaTodo * | todo | Read / Write

## Types and Values

| GoaObject
struct | GoaObjectIface
struct | GoaObjectProxy
struct | GoaObjectProxyClass
struct | GoaObjectSkeleton
struct | GoaObjectSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaObject
        GObject
        ├── GDBusObjectProxy
        │   ╰── GoaObjectProxy
        ╰── GDBusObjectSkeleton
            ╰── GoaObjectSkeleton

## Prerequisites

GoaObject requires GDBusObject and GObject.

## Implemented Interfaces

GoaObjectProxy implements GDBusObject and GoaObject.

GoaObjectSkeleton implements GDBusObject and GoaObject.

## Known Implementations

GoaObject is implemented by GoaObjectProxy and GoaObjectSkeleton.

## Description

This section contains the GoaObject, GoaObjectProxy, and GoaObjectSkeleton types which make it easier to work with objects implementing generated types for D-Bus interfaces.

## Functions

### goa_object_get_manager ()

    GoaManager *
    goa_object_get_manager (GoaObject *object);

Gets the GoaManager instance for the D-Bus interface org.gnome.OnlineAccounts.Manager on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaManager that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_account ()

    GoaAccount *
    goa_object_get_account (GoaObject *object);

Gets the GoaAccount instance for the D-Bus interface org.gnome.OnlineAccounts.Account on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaAccount that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_oauth2_based ()

    GoaOAuth2Based *
    goa_object_get_oauth2_based (GoaObject *object);

Gets the GoaOAuth2Based instance for the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaOAuth2Based that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_mail ()

    GoaMail *
    goa_object_get_mail (GoaObject *object);

Gets the GoaMail instance for the D-Bus interface org.gnome.OnlineAccounts.Mail on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaMail that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_calendar ()

    GoaCalendar *
    goa_object_get_calendar (GoaObject *object);

Gets the GoaCalendar instance for the D-Bus interface org.gnome.OnlineAccounts.Calendar on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaCalendar that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_contacts ()

    GoaContacts *
    goa_object_get_contacts (GoaObject *object);

Gets the GoaContacts instance for the D-Bus interface org.gnome.OnlineAccounts.Contacts on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaContacts that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_chat ()

    GoaChat *
    goa_object_get_chat (GoaObject *object);

Gets the GoaChat instance for the D-Bus interface org.gnome.OnlineAccounts.Chat on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaChat that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

### goa_object_get_music ()

    GoaMusic *
    goa_object_get_music (GoaObject *object);

`goa_object_get_music` is deprecated and should not be used in newly-written code.

Gets the GoaMusic instance for the D-Bus interface org.gnome.OnlineAccounts.Music on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaMusic that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

Since: 3.18.0

### goa_object_get_photos ()

    GoaPhotos *
    goa_object_get_photos (GoaObject *object);

Gets the GoaPhotos instance for the D-Bus interface org.gnome.OnlineAccounts.Photos on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaPhotos that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

Since: 3.8.0

### goa_object_get_files ()

    GoaFiles *
    goa_object_get_files (GoaObject *object);

Gets the GoaFiles instance for the D-Bus interface org.gnome.OnlineAccounts.Files on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaFiles that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

Since: 3.8.0

### goa_object_get_exchange ()

    GoaExchange *
    goa_object_get_exchange (GoaObject *object);

Gets the GoaExchange instance for the D-Bus interface org.gnome.OnlineAccounts.Exchange on `object` , if any.

#### Parameters

object | A GoaObject. |

#### Returns

A GoaExchange that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

[transfer full][nullable]

Since: 3.6.0

### goa_object_peek_manager ()

    GoaManager *
    goa_object_peek_manager (GoaObject *object);

Like `goa_object_get_manager()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaManager or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_account ()

    GoaAccount *
    goa_object_peek_account (GoaObject *object);

`goa_object_peek_account` is deprecated and should not be used in newly-written code.

Like `goa_object_get_account()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaAccount or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_oauth2_based ()

    GoaOAuth2Based *
    goa_object_peek_oauth2_based (GoaObject *object);

Like `goa_object_get_oauth2_based()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaOAuth2Based or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_mail ()

    GoaMail *
    goa_object_peek_mail (GoaObject *object);

Like `goa_object_get_mail()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaMail or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_calendar ()

    GoaCalendar *
    goa_object_peek_calendar (GoaObject *object);

Like `goa_object_get_calendar()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaCalendar or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_contacts ()

    GoaContacts *
    goa_object_peek_contacts (GoaObject *object);

Like `goa_object_get_contacts()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaContacts or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_chat ()

    GoaChat *
    goa_object_peek_chat (GoaObject *object);

Like `goa_object_get_chat()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaChat or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

### goa_object_peek_music ()

    GoaMusic *
    goa_object_peek_music (GoaObject *object);

`goa_object_peek_music` is deprecated and should not be used in newly-written code.

Like `goa_object_get_music()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaMusic or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

Since: 3.18.0

### goa_object_peek_photos ()

    GoaPhotos *
    goa_object_peek_photos (GoaObject *object);

Like `goa_object_get_photos()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaPhotos or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

Since: 3.8.0

### goa_object_peek_files ()

    GoaFiles *
    goa_object_peek_files (GoaObject *object);

Like `goa_object_get_files()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaFiles or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

Since: 3.8.0

### goa_object_peek_exchange ()

    GoaExchange *
    goa_object_peek_exchange (GoaObject *object);

Like `goa_object_get_exchange()` but doesn't increase the reference count on the returned object.

It is not safe to use the returned object if you are on another thread than the one where the GDBusObjectManagerClient or GDBusObjectManagerServer for `object` is running.

[skip]

#### Parameters

object | A GoaObject. |

#### Returns

A GoaExchange or `NULL` if `object` does not implement the interface. Do not free the returned object, it is owned by `object` .

[transfer none][nullable]

Since: 3.6.0

### goa_object_proxy_new ()

    GoaObjectProxy *
    goa_object_proxy_new (GDBusConnection *connection,
                          const gchar *object_path);

Creates a new proxy object.

#### Parameters

connection | A GDBusConnection. |
object_path | An object path. |

#### Returns

The proxy object.

[transfer full]

### goa_object_skeleton_new ()

    GoaObjectSkeleton *
    goa_object_skeleton_new (const gchar *object_path);

Creates a new skeleton object.

#### Parameters

object_path | An object path. |

#### Returns

The skeleton object.

[transfer full]

### goa_object_skeleton_set_manager ()

    void
    goa_object_skeleton_set_manager (GoaObjectSkeleton *object,
                                     GoaManager *interface_);

Sets the GoaManager instance for the D-Bus interface org.gnome.OnlineAccounts.Manager on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaManager or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_account ()

    void
    goa_object_skeleton_set_account (GoaObjectSkeleton *object,
                                     GoaAccount *interface_);

Sets the GoaAccount instance for the D-Bus interface org.gnome.OnlineAccounts.Account on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaAccount or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_oauth2_based ()

    void
    goa_object_skeleton_set_oauth2_based (GoaObjectSkeleton *object,
                                          GoaOAuth2Based *interface_);

Sets the GoaOAuth2Based instance for the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaOAuth2Based or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_mail ()

    void
    goa_object_skeleton_set_mail (GoaObjectSkeleton *object,
                                  GoaMail *interface_);

Sets the GoaMail instance for the D-Bus interface org.gnome.OnlineAccounts.Mail on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaMail or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_calendar ()

    void
    goa_object_skeleton_set_calendar (GoaObjectSkeleton *object,
                                      GoaCalendar *interface_);

Sets the GoaCalendar instance for the D-Bus interface org.gnome.OnlineAccounts.Calendar on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaCalendar or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_contacts ()

    void
    goa_object_skeleton_set_contacts (GoaObjectSkeleton *object,
                                      GoaContacts *interface_);

Sets the GoaContacts instance for the D-Bus interface org.gnome.OnlineAccounts.Contacts on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaContacts or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_chat ()

    void
    goa_object_skeleton_set_chat (GoaObjectSkeleton *object,
                                  GoaChat *interface_);

Sets the GoaChat instance for the D-Bus interface org.gnome.OnlineAccounts.Chat on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaChat or `NULL` to clear the interface. | [nullable]

### goa_object_skeleton_set_music ()

    void
    goa_object_skeleton_set_music (GoaObjectSkeleton *object,
                                   GoaMusic *interface_);

`goa_object_skeleton_set_music` is deprecated and should not be used in newly-written code.

Sets the GoaMusic instance for the D-Bus interface org.gnome.OnlineAccounts.Music on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaMusic or `NULL` to clear the interface. | [nullable]

Since: 3.18.0

### goa_object_skeleton_set_photos ()

    void
    goa_object_skeleton_set_photos (GoaObjectSkeleton *object,
                                    GoaPhotos *interface_);

Sets the GoaPhotos instance for the D-Bus interface org.gnome.OnlineAccounts.Photos on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaPhotos or `NULL` to clear the interface. | [nullable]

Since: 3.8.0

### goa_object_skeleton_set_files ()

    void
    goa_object_skeleton_set_files (GoaObjectSkeleton *object,
                                   GoaFiles *interface_);

Sets the GoaFiles instance for the D-Bus interface org.gnome.OnlineAccounts.Files on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaFiles or `NULL` to clear the interface. | [nullable]

Since: 3.8.0

### goa_object_skeleton_set_exchange ()

    void
    goa_object_skeleton_set_exchange (GoaObjectSkeleton *object,
                                      GoaExchange *interface_);

Sets the GoaExchange instance for the D-Bus interface org.gnome.OnlineAccounts.Exchange on `object` .

#### Parameters

object | A GoaObjectSkeleton. |
interface_ | A GoaExchange or `NULL` to clear the interface. | [nullable]

Since: 3.6.0

## Types and Values

### GoaObject

    typedef struct _GoaObject GoaObject;

The GoaObject type is a specialized container of interfaces.

### struct GoaObjectIface

    struct GoaObjectIface {
      GTypeInterface parent_iface;
    };

Virtual table for the GoaObject interface.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

### struct GoaObjectProxy

    struct GoaObjectProxy;

The GoaObjectProxy structure contains only private data and should only be accessed using the provided API.

### struct GoaObjectProxyClass

    struct GoaObjectProxyClass {
      GDBusObjectProxyClass parent_class;
    };

Class structure for GoaObjectProxy.

#### Members

### struct GoaObjectSkeleton

    struct GoaObjectSkeleton;

The GoaObjectSkeleton structure contains only private data and should only be accessed using the provided API.

### struct GoaObjectSkeletonClass

    struct GoaObjectSkeletonClass {
      GDBusObjectSkeletonClass parent_class;
    };

Class structure for GoaObjectSkeleton.

#### Members

## Property Details

### The `“account”` property

      “account”                  GoaAccount *

The GoaAccount instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Account, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“calendar”` property

      “calendar”                 GoaCalendar *

The GoaCalendar instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Calendar, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“chat”` property

      “chat”                     GoaChat *

The GoaChat instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Chat, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“contacts”` property

      “contacts”                 GoaContacts *

The GoaContacts instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Contacts, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“documents”` property

      “documents”                GoaDocuments *

The GoaDocuments instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Documents, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:documents` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

### The `“exchange”` property

      “exchange”                 GoaExchange *

The GoaExchange instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Exchange, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.6.0

### The `“files”` property

      “files”                    GoaFiles *

The GoaFiles instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Files, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.8.0

### The `“mail”` property

      “mail”                     GoaMail *

The GoaMail instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Mail, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“manager”` property

      “manager”                  GoaManager *

The GoaManager instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Manager, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“maps”` property

      “maps”                     GoaMaps *

The GoaMaps instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Maps, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:maps` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

Since: 3.14.0

### The `“media-server”` property

      “media-server”             GoaMediaServer *

The GoaMediaServer instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.MediaServer, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:media-server` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

Since: 3.14

### The `“music”` property

      “music”                    GoaMusic *

The GoaMusic instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Music, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.18.0

### The `“oauth-based”` property

      “oauth-based”              GoaOAuthBased *

The GoaOAuthBased instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.OAuthBased, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“oauth2-based”` property

      “oauth2-based”             GoaOAuth2Based *

The GoaOAuth2Based instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.OAuth2Based, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

### The `“password-based”` property

      “password-based”           GoaPasswordBased *

The GoaPasswordBased instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.PasswordBased, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.6.0

### The `“photos”` property

      “photos”                   GoaPhotos *

The GoaPhotos instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Photos, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.8.0

### The `“printers”` property

      “printers”                 GoaPrinters *

The GoaPrinters instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Printers, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:printers` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

Since: 3.12.0

### The `“read-later”` property

      “read-later”               GoaReadLater *

The GoaReadLater instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.ReadLater, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:read-later` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

Since: 3.12.0

### The `“ticketing”` property

      “ticketing”                GoaTicketing *

The GoaTicketing instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Ticketing, if any.

Connect to the “notify” signal to get informed of property changes.

Owner: GoaObject

Flags: Read / Write

Since: 3.6.0

### The `“todo”` property

      “todo”                     GoaTodo *

The GoaTodo instance corresponding to the D-Bus interface org.gnome.OnlineAccounts.Todo, if any.

Connect to the “notify” signal to get informed of property changes.

`GoaObject:todo` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Owner: GoaObject

Flags: Read / Write

Since: 3.26.0